NX Open C++ Reference Guide
|
Represents a Features::BlendPocket builder for Blend Pocket feature. More...
Public Types | |
enum | AngledWallSolutions { AngledWallSolutionsUnknown, AngledWallSolutionsSwarfCutWall, AngledWallSolutionsCutFloorAndSwarfCutWall, AngledWallSolutionsCutFloor, AngledWallSolutionsSwarfCutWallAndFloor } |
Represents the solution which defines how the End Mill is positioned with the angled walls. More... | |
enum | ToolTypes { ToolTypesUnknown, ToolTypesEndMill, ToolTypesTCutter, ToolTypesSphericalMill } |
Represents the tool type which defines how the angled walls are cut. More... | |
Public Member Functions | |
NXOpen::Features::BlendPocketBuilder::AngledWallSolutions | AngledWallSolution () |
Returns the angled wall solution defines how the End Mill is positioned with angled walls. | |
NXOpen::Expression * | CornerClearance () |
Returns the corner clearance defines the radius that the tool turns around at the concave wall corners. | |
NXOpen::Expression * | Diameter () |
Returns the diameter defines the diameter of End Mill or Shperical Mill. | |
NXOpen::ScCollector * | FloorFaces () |
Returns the collector of floor faces. | |
NXOpen::Expression * | FluteLength () |
Returns the flute length defines the length of the flute of T Cutter. | |
NXOpen::Expression * | LowerRadius () |
Returns the lower radius defines the radius of blend on the bottom of End Mill or T Cutter. | |
NXOpen::Expression * | NeckDiameter () |
Returns the neck diameter defines the diameter of the neck of T Cutter. | |
void | SetAngledWallSolution (NXOpen::Features::BlendPocketBuilder::AngledWallSolutions angledWallSolution) |
Sets the angled wall solution defines how the End Mill is positioned with angled walls. | |
void | SetFloorFaces (NXOpen::ScCollector *floorFaces) |
Sets the collector of floor faces. | |
void | SetToolType (NXOpen::Features::BlendPocketBuilder::ToolTypes toolType) |
Sets the tool type defines how the angled walls are cut. | |
void | SetWallFaces (NXOpen::ScCollector *wallFaces) |
Sets the collector of wall faces. | |
NXOpen::Features::BlendPocketBuilder::ToolTypes | ToolType () |
Returns the tool type defines how the angled walls are cut. | |
NXOpen::Expression * | UpperRadius () |
Returns the upper radius defines the radius of blend on the upper part of T Cutter. | |
NXOpen::ScCollector * | WallFaces () |
Returns the collector of wall faces. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::BlendPocket builder for Blend Pocket feature.
To create a new instance of this class, use Features::FeatureCollection::CreateBlendPocketBuilder
Default values.
Property | Value |
---|---|
AngledWallSolution |
CutFloorAndSwarfCutWall |
CornerClearance.Value |
0 (millimeters part), 0 (inches part) |
Diameter.Value |
25.0 (millimeters part), 1.0 (inches part) |
FluteLength.Value |
10.0 (millimeters part), 0.38 (inches part) |
LowerRadius.Value |
5.0 (millimeters part), 0.25 (inches part) |
NeckDiameter.Value |
25.0 (millimeters part), 1.0 (inches part) |
ToolType |
EndMill |
UpperRadius.Value |
5.0 (millimeters part), 0.25 (inches part) |
Created in NX9.0.0.
Represents the solution which defines how the End Mill is positioned with the angled walls.
NXOpen::Features::BlendPocketBuilder::AngledWallSolutions NXOpen::Features::BlendPocketBuilder::AngledWallSolution | ( | ) |
Returns the angled wall solution defines how the End Mill is positioned with angled walls.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::CornerClearance | ( | ) |
Returns the corner clearance defines the radius that the tool turns around at the concave wall corners.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::Diameter | ( | ) |
Returns the diameter defines the diameter of End Mill or Shperical Mill.
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::BlendPocketBuilder::FloorFaces | ( | ) |
Returns the collector of floor faces.
It can be a single face, or multiple faces
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::FluteLength | ( | ) |
Returns the flute length defines the length of the flute of T Cutter.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::LowerRadius | ( | ) |
Returns the lower radius defines the radius of blend on the bottom of End Mill or T Cutter.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::NeckDiameter | ( | ) |
Returns the neck diameter defines the diameter of the neck of T Cutter.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::BlendPocketBuilder::SetAngledWallSolution | ( | NXOpen::Features::BlendPocketBuilder::AngledWallSolutions | angledWallSolution | ) |
Sets the angled wall solution defines how the End Mill is positioned with angled walls.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
angledWallSolution | angled wall solution |
void NXOpen::Features::BlendPocketBuilder::SetFloorFaces | ( | NXOpen::ScCollector * | floorFaces | ) |
Sets the collector of floor faces.
It can be a single face, or multiple faces
Created in NX9.0.0.
License requirements : None
floorFaces | floor faces |
void NXOpen::Features::BlendPocketBuilder::SetToolType | ( | NXOpen::Features::BlendPocketBuilder::ToolTypes | toolType | ) |
Sets the tool type defines how the angled walls are cut.
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
toolType | tool type |
void NXOpen::Features::BlendPocketBuilder::SetWallFaces | ( | NXOpen::ScCollector * | wallFaces | ) |
Sets the collector of wall faces.
It can be a single face, or multiple faces
Created in NX9.0.0.
License requirements : None
wallFaces | wall faces |
NXOpen::Features::BlendPocketBuilder::ToolTypes NXOpen::Features::BlendPocketBuilder::ToolType | ( | ) |
Returns the tool type defines how the angled walls are cut.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlendPocketBuilder::UpperRadius | ( | ) |
Returns the upper radius defines the radius of blend on the upper part of T Cutter.
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::BlendPocketBuilder::WallFaces | ( | ) |
Returns the collector of wall faces.
It can be a single face, or multiple faces
Created in NX9.0.0.
License requirements : None